Loading...
Searching...
No Matches
BALL::HashSet< Key >::Node Struct Reference

`#include <BALL/DATATYPE/hashSet.h>`

## Public Member Functions

| Node (const KeyType &my_key, const Node *my_next)

## Public Attributes

Node * | next
ValueType | value

## Detailed Description

template<class Key>
struct BALL::HashSet< Key >::Node

Definition at line 62 of file hashSet.h.

## Constructor & Destructor Documentation

## Node()

template<class Key>

BALL::HashSet< Key >::Node::Node | ( | const KeyType & | my_key,
|  | const Node * | my_next )

inline

Definition at line 67 of file hashSet.h.

## Member Data Documentation

## next

template<class Key>

Node* BALL::HashSet< Key >::Node::next

Definition at line 64 of file hashSet.h.

## value

template<class Key>

ValueType BALL::HashSet< Key >::Node::value

Definition at line 65 of file hashSet.h.